Permanently delete a fleet
curl --request DELETE \
--url https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.agentsfleet.net/v1/workspaces/{workspace_id}/fleets/{fleet_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"docs_uri": "https://docs.agentsfleet.net/api-reference/error-codes#UZ-AGT-009",
"title": "Fleet not found",
"detail": "No fleet with id 'abc123' in this workspace.",
"error_code": "UZ-AGT-009",
"request_id": "<string>",
"current_state": "paused",
"user_message": "We couldn't find that Fleet. It may have been deleted, or the ID doesn't match one in this workspace.",
"etag": "<string>"
}{
"docs_uri": "https://docs.agentsfleet.net/api-reference/error-codes#UZ-AGT-009",
"title": "Fleet not found",
"detail": "No fleet with id 'abc123' in this workspace.",
"error_code": "UZ-AGT-009",
"request_id": "<string>",
"current_state": "paused",
"user_message": "We couldn't find that Fleet. It may have been deleted, or the ID doesn't match one in this workspace.",
"etag": "<string>"
}{
"docs_uri": "https://docs.agentsfleet.net/api-reference/error-codes#UZ-AGT-009",
"title": "Fleet not found",
"detail": "No fleet with id 'abc123' in this workspace.",
"error_code": "UZ-AGT-009",
"request_id": "<string>",
"current_state": "paused",
"user_message": "We couldn't find that Fleet. It may have been deleted, or the ID doesn't match one in this workspace.",
"etag": "<string>"
}{
"docs_uri": "https://docs.agentsfleet.net/api-reference/error-codes#UZ-AGT-009",
"title": "Fleet not found",
"detail": "No fleet with id 'abc123' in this workspace.",
"error_code": "UZ-AGT-009",
"request_id": "<string>",
"current_state": "paused",
"user_message": "We couldn't find that Fleet. It may have been deleted, or the ID doesn't match one in this workspace.",
"etag": "<string>"
}{
"docs_uri": "https://docs.agentsfleet.net/api-reference/error-codes#UZ-AGT-009",
"title": "Fleet not found",
"detail": "No fleet with id 'abc123' in this workspace.",
"error_code": "UZ-AGT-009",
"request_id": "<string>",
"current_state": "paused",
"user_message": "We couldn't find that Fleet. It may have been deleted, or the ID doesn't match one in this workspace.",
"etag": "<string>"
}Fleets
Permanently delete a fleet
Permanently deletes the fleet, events, runs, approvals, grants, keys, and memory. This cannot be undone.
Set the fleet status to killed first. Otherwise the request returns 409.
Requires an operator role.
DELETE
/
v1
/
workspaces
/
{workspace_id}
/
fleets
/
{fleet_id}
Permanently delete a fleet
⌘I